Backed out changeset 396b577b98e6 (bug 1171736) for android nightly bustage a=backout

This commit is contained in:
Wes Kocher 2016-06-06 14:43:24 -07:00
parent 42eed3023e
commit da176c36e1
10 changed files with 15 additions and 193 deletions

View File

@ -33,7 +33,6 @@ config = {
'default_actions': [
"clobber",
"pull",
"clone-locales",
"list-locales",
"setup",
"repack",

View File

@ -31,7 +31,6 @@ config = {
'default_actions': [
"clobber",
"pull",
"clone-locales",
"list-locales",
"setup",
"repack",

View File

@ -31,7 +31,6 @@ config = {
'default_actions': [
"clobber",
"pull",
"clone-locales",
"list-locales",
"setup",
"repack",

View File

@ -31,7 +31,6 @@ config = {
'default_actions': [
"clobber",
"pull",
"clone-locales",
"list-locales",
"setup",
"repack",

View File

@ -31,7 +31,6 @@ config = {
'default_actions': [
"clobber",
"pull",
"clone-locales",
"list-locales",
"setup",
"repack",

View File

@ -1,23 +0,0 @@
import os
config = {
"locales_file": "src/browser/locales/all-locales",
"mozconfig": "src/browser/config/mozconfigs/linux32/l10n-mozconfig",
"bootstrap_env": {
"NO_MERCURIAL_SETUP_CHECK": "1",
"MOZ_OBJDIR": "obj-l10n",
"EN_US_BINARY_URL": "%(en_us_binary_url)s",
"LOCALE_MERGEDIR": "%(abs_merge_dir)s/",
"MOZ_UPDATE_CHANNEL": "%(update_channel)s",
"DIST": "%(abs_objdir)s",
"LOCALE_MERGEDIR": "%(abs_merge_dir)s/",
"L10NBASEDIR": "../../l10n",
"MOZ_MAKE_COMPLETE_MAR": "1",
'TOOLTOOL_CACHE': os.environ.get('TOOLTOOL_CACHE'),
},
"upload_env": {
'UPLOAD_HOST': 'localhost',
'UPLOAD_PATH': '/home/worker/workspace/build/upload/',
},
"mozilla_dir": "src/",
}

View File

@ -1,23 +0,0 @@
import os
config = {
"locales_file": "src/browser/locales/all-locales",
"mozconfig": "src/browser/config/mozconfigs/linux64/l10n-mozconfig",
"bootstrap_env": {
"NO_MERCURIAL_SETUP_CHECK": "1",
"MOZ_OBJDIR": "obj-l10n",
"EN_US_BINARY_URL": "%(en_us_binary_url)s",
"LOCALE_MERGEDIR": "%(abs_merge_dir)s/",
"MOZ_UPDATE_CHANNEL": "%(update_channel)s",
"DIST": "%(abs_objdir)s",
"LOCALE_MERGEDIR": "%(abs_merge_dir)s/",
"L10NBASEDIR": "../../l10n",
"MOZ_MAKE_COMPLETE_MAR": "1",
'TOOLTOOL_CACHE': os.environ.get('TOOLTOOL_CACHE'),
},
"upload_env": {
'UPLOAD_HOST': 'localhost',
'UPLOAD_PATH': '/home/worker/workspace/build/upload/',
},
"mozilla_dir": "src/",
}

View File

@ -141,21 +141,20 @@ class LocalesMixin(ChunkingMixin):
def run_compare_locales(self, locale, halt_on_failure=False):
dirs = self.query_abs_dirs()
env = self.query_bootstrap_env()
python = self.query_exe('python2.7')
compare_locales_script = os.path.join(dirs['abs_compare_locales_dir'],
'scripts', 'compare-locales')
env = self.query_env(partial_env={'PYTHONPATH':
os.path.join(dirs['abs_compare_locales_dir'],
'lib')})
compare_locales_error_list = list(PythonErrorList)
self.rmtree(dirs['abs_merge_dir'])
self.mkdir_p(dirs['abs_merge_dir'])
command = [python, 'mach', 'compare-locales',
'--merge-dir', dirs['abs_merge_dir'],
'--l10n-ini', os.path.join(dirs['abs_locales_src_dir'], 'l10n.ini'),
'--l10n-base', dirs['abs_l10n_dir'], locale]
command = "python %s -m %s l10n.ini %s %s" % (compare_locales_script,
dirs['abs_merge_dir'], dirs['abs_l10n_dir'], locale)
self.info("*** BEGIN compare-locales %s" % locale)
status = self.run_command(command,
halt_on_failure=halt_on_failure,
env=env,
cwd=dirs['abs_mozilla_dir'],
error_list=compare_locales_error_list)
status = self.run_command(command, error_list=compare_locales_error_list,
cwd=dirs['abs_locales_src_dir'], env=env,
halt_on_failure=halt_on_failure)
self.info("*** END compare-locales %s" % locale)
return status
@ -176,15 +175,8 @@ class LocalesMixin(ChunkingMixin):
c['mozilla_dir'])
dirs['abs_locales_src_dir'] = os.path.join(dirs['abs_mozilla_dir'],
c['locales_dir'])
dirs['abs_compare_locales_dir'] = os.path.join(dirs['abs_mozilla_dir'],
'python', 'compare-locales',
'compare_locales')
else:
# Use old-compare-locales if no mozilla_dir set, needed
# for clobberer, and existing mozharness tests.
dirs['abs_compare_locales_dir'] = os.path.join(dirs['abs_work_dir'],
'compare-locales')
dirs['abs_l10n_dir'] = os.path.join(dirs['abs_work_dir'],
c['l10n_dir'])
if 'objdir' in c:
if os.path.isabs(c['objdir']):
dirs['abs_objdir'] = c['objdir']
@ -195,7 +187,8 @@ class LocalesMixin(ChunkingMixin):
'merged')
dirs['abs_locales_dir'] = os.path.join(dirs['abs_objdir'],
c['locales_dir'])
dirs['abs_compare_locales_dir'] = os.path.join(dirs['abs_work_dir'],
'compare-locales')
for key in dirs.keys():
if key not in abs_dirs:
abs_dirs[key] = dirs[key]

View File

@ -173,7 +173,6 @@ class DesktopSingleLocale(LocalesMixin, ReleaseMixin, MockMixin, BuildbotMixin,
'all_actions': [
"clobber",
"pull",
"clone-locales",
"list-locales",
"setup",
"repack",
@ -466,7 +465,7 @@ class DesktopSingleLocale(LocalesMixin, ReleaseMixin, MockMixin, BuildbotMixin,
def _query_revision(self):
""" Get the gecko revision in this order of precedence
* cached value
* command line arg --revision (development, taskcluster)
* command line arg --revision (development)
* buildbot properties (try with buildbot forced build)
* buildbot change (try with buildbot scheduler)
* from the en-US build (m-c & m-a)
@ -638,8 +637,6 @@ class DesktopSingleLocale(LocalesMixin, ReleaseMixin, MockMixin, BuildbotMixin,
self.info("repositories: %s" % repos)
self.vcs_checkout_repos(repos, parent_dir=dirs['abs_work_dir'],
tag_override=config.get('tag_override'))
def clone_locales(self):
self.pull_locale_source()
def setup(self):

View File

@ -1,117 +0,0 @@
#! /bin/bash -vex
set -x -e
echo "running as" $(id)
####
# Taskcluster friendly wrapper for performing fx desktop l10n repacks via mozharness.
# Based on ./build-linux.sh
####
# Inputs, with defaults
: MOZHARNESS_SCRIPT ${MOZHARNESS_SCRIPT}
: MOZHARNESS_CONFIG ${MOZHARNESS_CONFIG}
: MOZHARNESS_ACTIONS ${MOZHARNESS_ACTIONS}
: MOZHARNESS_OPTIONS ${MOZHARNESS_OPTIONS}
: TOOLTOOL_CACHE ${TOOLTOOL_CACHE:=/home/worker/tooltool-cache}
: NEED_XVFB ${NEED_XVFB:=false}
: WORKSPACE ${WORKSPACE:=/home/worker/workspace}
set -v
fail() {
echo # make sure error message is on a new line
echo "[build-l10n.sh:error]" "${@}"
exit 1
}
export MOZ_CRASHREPORTER_NO_REPORT=1
export MOZ_OBJDIR=obj-firefox
export TINDERBOX_OUTPUT=1
# Ensure that in tree libraries can be found
export LIBRARY_PATH=$LIBRARY_PATH:$WORKSPACE/src/obj-firefox:$WORKSPACE/src/gcc/lib64
# test required parameters are supplied
if [[ -z ${MOZHARNESS_SCRIPT} ]]; then fail "MOZHARNESS_SCRIPT is not set"; fi
if [[ -z ${MOZHARNESS_CONFIG} ]]; then fail "MOZHARNESS_CONFIG is not set"; fi
cleanup() {
local rv=$?
if [ -n "$xvfb_pid" ]; then
kill $xvfb_pid || true
fi
exit $rv
}
trap cleanup EXIT INT
# run mozharness in XVfb, if necessary; this is an array to maintain the quoting in the -s argument
if $NEED_XVFB; then
# Some mozharness scripts set DISPLAY=:2
Xvfb :2 -screen 0 1024x768x24 &
export DISPLAY=:2
xvfb_pid=$!
# Only error code 255 matters, because it signifies that no
# display could be opened. As long as we can open the display
# tests should work. We'll retry a few times with a sleep before
# failing.
retry_count=0
max_retries=2
xvfb_test=0
until [ $retry_count -gt $max_retries ]; do
xvinfo || xvfb_test=$?
if [ $xvfb_test != 255 ]; then
retry_count=$(($max_retries + 1))
else
retry_count=$(($retry_count + 1))
echo "Failed to start Xvfb, retry: $retry_count"
sleep 2
fi
done
if [ $xvfb_test == 255 ]; then fail "xvfb did not start properly"; fi
fi
# set up mozharness configuration, via command line, env, etc.
# $TOOLTOOL_CACHE bypasses mozharness completely and is read by tooltool_wrapper.sh to set the
# cache. However, only some mozharness scripts use tooltool_wrapper.sh, so this may not be
# entirely effective.
export TOOLTOOL_CACHE
# support multiple, space delimited, config files
config_cmds=""
for cfg in $MOZHARNESS_CONFIG; do
config_cmds="${config_cmds} --config ${cfg}"
done
# if MOZHARNESS_ACTIONS is given, only run those actions (completely overriding default_actions
# in the mozharness configuration)
if [ -n "$MOZHARNESS_ACTIONS" ]; then
actions=""
for action in $MOZHARNESS_ACTIONS; do
actions="$actions --$action"
done
fi
# if MOZHARNESS_OPTIONS is given, append them to mozharness command line run
# e.g. enable-pgo
if [ -n "$MOZHARNESS_OPTIONS" ]; then
options=""
for option in $MOZHARNESS_OPTIONS; do
options="$options --$option"
done
fi
python2.7 $WORKSPACE/build/src/testing/${MOZHARNESS_SCRIPT} \
--disable-mock \
--revision ${GECKO_HEAD_REV} \
$actions \
$options \
${config_cmds} \
--log-level=debug \
--work-dir=$WORKSPACE/build \